# APM

This plugin provides access to App Monitoring features provided by Elastic. It allows you to monitor your software services and applications in real-time; visualize detailed performance information on your services, identify and analyze errors, and monitor host-level and APM agent-specific metrics like JVM and Go runtime metrics.

## Documentation for APM UI developers

### Getting started
- [Local setup](./dev_docs/local_setup.md)
- [Testing (unit, api, e2e, storybook)](./dev_docs/testing.md)
- [Linting (typescript, eslint, prettier)](./dev_docs/linting.md)

### APM concepts
- [Queries and data model](./dev_docs/apm_queries.md)
- [Telemetry](./dev_docs/telemetry.md)
- [Routing and Linking](./dev_docs/routing_and_linking.md)

### Tooling
- [VSCode setup instructions](./dev_docs/vscode_setup.md)
- [Github PR commands](./dev_docs/github_commands.md)
- [Synthtrace (data generation)](https://github.com/elastic/kibana/blob/main/src/platform/packages/shared/kbn-apm-synthtrace/README.md)
- [Query debugging in development and production](./dev_docs/query_debugging_in_development_and_production.md)

### Other resources
- [Official APM UI settings docs](https://www.elastic.co/guide/en/kibana/current/apm-settings-in-kibana.html)
- [Reading Material](./dev_docs/learning_material.md)
