/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

import * as rt from 'io-ts';

export const getMlCapabilitiesResponsePayloadRT = rt.type({
  capabilities: rt.type({
    canGetJobs: rt.boolean,
    canCreateJob: rt.boolean,
    canDeleteJob: rt.boolean,
    canOpenJob: rt.boolean,
    canCloseJob: rt.boolean,
    canForecastJob: rt.boolean,
    canGetDatafeeds: rt.boolean,
    canStartStopDatafeed: rt.boolean,
    canUpdateJob: rt.boolean,
    canUpdateDatafeed: rt.boolean,
    canPreviewDatafeed: rt.boolean,
  }),
  isPlatinumOrTrialLicense: rt.boolean,
  mlFeatureEnabledInSpace: rt.boolean,
  upgradeInProgress: rt.boolean,
});

export type GetMlCapabilitiesResponsePayload = rt.TypeOf<typeof getMlCapabilitiesResponsePayloadRT>;
