/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

import { i18n } from '@kbn/i18n';

export const observabilityTitle = i18n.translate('xpack.infra.header.observabilityTitle', {
  defaultMessage: 'Observability',
});

export const logsTitle = i18n.translate('xpack.infra.header.logsTitle', {
  defaultMessage: 'Logs',
});

export const logsAnomaliesTitle = i18n.translate('xpack.infra.logs.index.anomaliesTabTitle', {
  defaultMessage: 'Logs Anomalies',
});

export const logCategoriesTitle = i18n.translate(
  'xpack.infra.logs.index.logCategoriesBetaBadgeTitle',
  {
    defaultMessage: 'Logs Categories',
  }
);

export const settingsTitle = i18n.translate('xpack.infra.logs.index.settingsTabTitle', {
  defaultMessage: 'Settings',
});

export const metricsTitle = i18n.translate('xpack.infra.header.infrastructureTitle', {
  defaultMessage: 'Infrastructure',
});

export const inventoryTitle = i18n.translate('xpack.infra.metrics.infrastructureInventoryTitle', {
  defaultMessage: 'Infrastructure Inventory',
});

export const metricsExplorerTitle = i18n.translate('xpack.infra.metrics.metricsExplorerTitle', {
  defaultMessage: 'Metrics Explorer',
});

export const hostsTitle = i18n.translate('xpack.infra.metrics.hostsTitle', {
  defaultMessage: 'Hosts',
});

export const errorTitle = i18n.translate('xpack.infra.metricDetailPage.documentTitleError', {
  defaultMessage: 'Uh oh',
});
