/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

import React from 'react';
import { EuiFlexGroup, EuiFlexItem, EuiTitle } from '@elastic/eui';
import { FormattedMessage } from '@kbn/i18n-react';
import styled from 'styled-components';
import { StatusFilter } from './status_filter';

const FlexGroupContainer = styled(EuiFlexGroup)`
  position: relative;
`;

export const MonitorListHeader: React.FC = () => {
  return (
    <FlexGroupContainer alignItems="center">
      <EuiFlexItem grow={false}>
        <EuiTitle size="xs">
          <h2>
            <FormattedMessage
              id="xpack.uptime.monitorList.monitoringStatusTitle"
              defaultMessage="Monitors"
            />
          </h2>
        </EuiTitle>
      </EuiFlexItem>
      <EuiFlexItem grow={false}>
        <StatusFilter />
      </EuiFlexItem>
    </FlexGroupContainer>
  );
};
