/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

/*
 * NOTICE: Do not edit this file manually.
 * This file is automatically generated by the OpenAPI Generator, @kbn/openapi-generator.
 *
 * info:
 *   title: Elastic Security - Timeline - Get Timelines API
 *   version: 2023-10-31
 */

import { z } from '@kbn/zod';

import {
  TimelineType,
  SortFieldTimeline,
  TimelineStatus,
  TimelineResponse,
} from '../model/components.gen';

export type GetTimelinesRequestQuery = z.infer<typeof GetTimelinesRequestQuery>;
export const GetTimelinesRequestQuery = z.object({
  /**
   * If true, only timelines that are marked as favorites by the user are returned.
   */
  only_user_favorite: z.enum(['true', 'false']).nullable().optional(),
  timeline_type: TimelineType.nullable().optional(),
  sort_field: SortFieldTimeline.optional(),
  /**
   * Whether to sort the results `ascending` or `descending`
   */
  sort_order: z.enum(['asc', 'desc']).optional(),
  /**
   * How many results should returned at once
   */
  page_size: z.string().nullable().optional(),
  /**
   * How many pages should be skipped
   */
  page_index: z.string().nullable().optional(),
  /**
   * Allows to search for timelines by their title
   */
  search: z.string().nullable().optional(),
  status: TimelineStatus.nullable().optional(),
});
export type GetTimelinesRequestQueryInput = z.input<typeof GetTimelinesRequestQuery>;

export type GetTimelinesResponse = z.infer<typeof GetTimelinesResponse>;
export const GetTimelinesResponse = z.object({
  timeline: z.array(TimelineResponse),
  /**
   * The total amount of results
   */
  totalCount: z.number(),
  /**
   * The amount of `default` type Timelines in the results
   */
  defaultTimelineCount: z.number().optional(),
  /**
   * The amount of Timeline templates in the results
   */
  templateTimelineCount: z.number().optional(),
  /**
   * The amount of favorited Timelines
   */
  favoriteCount: z.number().optional(),
  /**
   * The amount of Elastic's Timeline templates in the results
   */
  elasticTemplateTimelineCount: z.number().optional(),
  /**
   * The amount of custom Timeline templates in the results
   */
  customTemplateTimelineCount: z.number().optional(),
});
