/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

/*
 * NOTICE: Do not edit this file manually.
 * This file is automatically generated by the OpenAPI Generator, @kbn/openapi-generator.
 *
 * info:
 *   title: Elastic Security - Timeline - pinned event API
 *   version: 2023-10-31
 */

import { z } from '@kbn/zod';

import { PinnedEvent } from '../model/components.gen';

export type PersistPinnedEventResponse = z.infer<typeof PersistPinnedEventResponse>;
export const PersistPinnedEventResponse = z.union([
  PinnedEvent,
  z.object({
    /**
     * Indicates whether the event was successfully unpinned
     */
    unpinned: z.boolean(),
  }),
]);

export type PersistPinnedEventRouteRequestBody = z.infer<typeof PersistPinnedEventRouteRequestBody>;
export const PersistPinnedEventRouteRequestBody = z.object({
  /**
   * The `_id` of the associated event for this pinned event.
   */
  eventId: z.string(),
  /**
   * The `savedObjectId` of the timeline that you want this pinned event unpinned from.
   */
  timelineId: z.string(),
  /**
   * The `savedObjectId` of the pinned event you want to unpin.
   */
  pinnedEventId: z.string().nullable().optional(),
});
export type PersistPinnedEventRouteRequestBodyInput = z.input<
  typeof PersistPinnedEventRouteRequestBody
>;

export type PersistPinnedEventRouteResponse = z.infer<typeof PersistPinnedEventRouteResponse>;
export const PersistPinnedEventRouteResponse = PersistPinnedEventResponse;
