/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

import { i18n } from '@kbn/i18n';

export const EMPTY_PAGE_TITLE = i18n.translate(
  'xpack.securitySolution.attackDiscovery.settingsFlyout.schedule.emptyPageTitle',
  {
    defaultMessage: 'Schedule Attack Discoveries',
  }
);

export const EMPTY_PAGE_DESCRIPTION = i18n.translate(
  'xpack.securitySolution.attackDiscovery.settingsFlyout.schedule.emptyPageDescription',
  {
    defaultMessage: 'Setup an Attack Discovery to run with any filter and any time cadence.',
  }
);

export const SCHEDULE_ATTACK_DISCOVERY_ALT = i18n.translate(
  'xpack.securitySolution.attackDiscovery.settingsFlyout.schedule.scheduleAttackDiscoveryAlt',
  {
    defaultMessage: 'Schedule Attack Discoveries',
  }
);

export const LEARN_MORE = i18n.translate(
  'xpack.securitySolution.attackDiscovery.settingsFlyout.schedule.learnMoreLink',
  {
    defaultMessage: 'Learn more',
  }
);

export const CREATE_SCHEDULE = i18n.translate(
  'xpack.securitySolution.attackDiscovery.settingsFlyout.schedule.createButton',
  {
    defaultMessage: 'Create new schedule',
  }
);
